Skip to main content
PATCH
Actualizar camello (JSON o multipart)

Authorizations

next-auth.session-token
string
cookie
required

Path Parameters

id
string
required

Body

name
string
Required string length: 2 - 160
documentId
string | null
phone
string | null
trades
string[]
Required array length: 1 - 20 elements
serviceIds
string[]

Si se envia, reemplaza los servicios vinculados

Maximum array length: 50
city
string | null
neighborhood
string | null
professionalCard
string | null
status
enum<string>
Available options:
ACTIVO,
INACTIVO,
PENDIENTE
premium
boolean
notes
string | null
Maximum string length: 5000
description
string | null
Maximum string length: 5000
priceFrom
integer | null
Required range: 0 <= x <= 99999999
priceUnit
enum<string> | null

Ausente conserva la unidad. Vacio o null la borra.

Available options:
hora,
servicio,
dia
windows
object[]

Ausente conserva las franjas. Si se envia, reemplaza todas. Vacio las borra.

Maximum array length: 21

Response

Camello actualizado

camello
object
required